openSUSE Security Update : gnu_parallel (openSUSE-2015-358)

2015-05-13T00:00:00
ID OPENSUSE-2015-358.NASL
Type nessus
Reporter Tenable
Modified 2015-05-13T00:00:00

Description

GNU parallel was updated to version 20150422 to fix one security issue, several bugs and add functionality.

The following vulnerability was fixed :

  • A local attacker could make a user overwrite one of his own files with a single byte when using --compress, --tmux, --pipe, --cat or --fifo when guessing random file names within a time window of 15 ms. [boo#928664]

In addition, the update to 20150422 adds a number of bug fixes, improvements and new features.

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The descriptive text and package checks in this plugin were
# extracted from openSUSE Security Update openSUSE-2015-358.
#
# The text description of this plugin is (C) SUSE LLC.
#

include("compat.inc");

if (description)
{
  script_id(83397);
  script_version("$Revision: 2.1 $");
  script_cvs_date("$Date: 2015/05/13 14:37:10 $");

  script_name(english:"openSUSE Security Update : gnu_parallel (openSUSE-2015-358)");
  script_summary(english:"Check for the openSUSE-2015-358 patch");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote openSUSE host is missing a security update."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"GNU parallel was updated to version 20150422 to fix one security
issue, several bugs and add functionality.

The following vulnerability was fixed :

  - A local attacker could make a user overwrite one of his
    own files with a single byte when using --compress,
    --tmux, --pipe, --cat or --fifo when guessing random
    file names within a time window of 15 ms. [boo#928664]

In addition, the update to 20150422 adds a number of bug fixes,
improvements and new features."
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bugzilla.opensuse.org/show_bug.cgi?id=928664"
  );
  script_set_attribute(
    attribute:"solution", 
    value:"Update the affected gnu_parallel package."
  );
  script_set_attribute(attribute:"risk_factor", value:"Low");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:gnu_parallel");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:13.1");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:13.2");

  script_set_attribute(attribute:"patch_publication_date", value:"2015/04/28");
  script_set_attribute(attribute:"plugin_publication_date", value:"2015/05/13");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2015 Tenable Network Security, Inc.");
  script_family(english:"SuSE Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/SuSE/release", "Host/SuSE/rpm-list");

  exit(0);
}


include("audit.inc");
include("global_settings.inc");
include("rpm.inc");

if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
release = get_kb_item("Host/SuSE/release");
if (isnull(release) || release =~ "^(SLED|SLES)") audit(AUDIT_OS_NOT, "openSUSE");
if (release !~ "^(SUSE13\.1|SUSE13\.2)$") audit(AUDIT_OS_RELEASE_NOT, "openSUSE", "13.1 / 13.2", release);
if (!get_kb_item("Host/SuSE/rpm-list")) audit(AUDIT_PACKAGE_LIST_MISSING);



flag = 0;

if ( rpm_check(release:"SUSE13.1", reference:"gnu_parallel-20150422-2.3.1") ) flag++;
if ( rpm_check(release:"SUSE13.2", reference:"gnu_parallel-20150422-2.3.1") ) flag++;

if (flag)
{
  if (report_verbosity > 0) security_note(port:0, extra:rpm_report_get());
  else security_note(0);
  exit(0);
}
else
{
  tested = pkg_tests_get();
  if (tested) audit(AUDIT_PACKAGE_NOT_AFFECTED, tested);
  else audit(AUDIT_PACKAGE_NOT_INSTALLED, "gnu_parallel");
}